org.apache.lucene.search

## Class FieldCache.Doubles

- java.lang.Object
- - org.apache.lucene.search.FieldCache.Doubles

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Doubles
    extends Object

Field values as 64-bit doubles

### Field Summary

Fields
`static FieldCache.Doubles` `EMPTY` Zero value for every document

### Constructor Summary

Constructors
Constructor and Description
`FieldCache.Doubles()`

### Method Summary

Methods
`abstract double` `get(int docID)` Return an double representation of this field's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final FieldCache.Doubles EMPTY

Zero value for every document

### Constructor Detail

#### FieldCache.Doubles

    public FieldCache.Doubles()

### Method Detail

#### get

    public abstract double get(int docID)

Return an double representation of this field's value.